jQuery('document').ready(function(){
	
	
	dap_parent_selector = jQuery("#dap_member_affiliate_frontend_shortcode");
	
	 
	if(dap_parent_selector.find(".user_account_type").hasClass('user_account_type_U')){
		dap_parent_selector.find('#payment_details_table').DataTable(
		{
        "columnDefs": [
            {
                "targets": [ 0 ],
                "visible": false,
                "searchable": false
            },
            {
                "targets": [ 1 ],
                "visible": false,
                 "searchable": false
            },
            {
                "targets": [ 2 ],
                "visible": false,
                "searchable": false
            },
             {
                "targets": [ 5 ],
                "visible": false,
                "searchable": false
            }
        ]
		});
		
	}else{
		dap_parent_selector.find('#payment_details_table').DataTable();
	}
	
   if(dap_parent_selector.find(".user_account_type").hasClass('admin_loign')){
	   	dap_parent_selector.find('#traffic_statistics_table').DataTable();
   }else{
	   dap_parent_selector.find('#traffic_statistics_table').DataTable(
		{
        "columnDefs": [
            {
                "targets": [ 0 ],
                "visible": false,
                "searchable": false
            },
            {
                "targets": [ 1 ],
                "visible": false,
                 "searchable": false
            }
        ]
		});
		
		
   }
	

	dap_parent_selector.find('#affiliate_performance_summary_table').DataTable();
	 if(dap_parent_selector.find(".user_account_type").hasClass('admin_loign')){
	 }else{
	  
	   if(dap_parent_selector.find(".user_account_type").hasClass('user_account_type_U')){
		   dap_parent_selector.find('#earnings_details_table').DataTable();
	   }
	}
	
	
});
